const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v3_0 = esi_global_2d_to_2d_local - 104;
    v4_0 = *v3_0;
    if *((edi_global_2d_to_2d_local - 80)) != 0:;
        # 0x9;
        v1_1f = fabsl(v4_0);
    else:;
        v1_1f = v4_0;
    if *((edi_global_2d_to_2d_local - 72)) != 0:;
        # 0x1f;
        v3_47 = fabsl(v1_1f);
    else:;
        v3_47 = v1_1f;
    v7_4e = v3_47 * *((edi_global_2d_to_2d_local - 48)) * *((edi_global_2d_to_2d_local - 52));
    v7_5a = 2 * 2 * v7_4e * *((edi_global_2d_to_2d_local - 56)) + *((edi_global_2d_to_2d_local - 16));
    *((esi_global_2d_to_2d_local - 120)) = v7_5a;
    v7_60 = v7_5a + *((edi_global_2d_to_2d_local - 24)) # bp+60;
    *((esi_global_2d_to_2d_local - 112)) = v7_60;
    *v3_0 = v7_60 + *((edi_global_2d_to_2d_local - 32));
    return z.x_global_2d_to_2d_local;


	}